Name:		binwalk
Version:	2.3.4
Release:	%mkrel 2
Summary:	Firmware analysis tool
License:	MIT
Group:		Development/Tools
URL:		https://github.com/ReFirmLabs/binwalk
Source0:	https://github.com/ReFirmLabs/binwalk/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		binwalk-2.2.0-disable-test-coverage.patch
Patch1:		binwalk-2.3.3-tests.patch
Patch3:		binwalk-2.3.3-syntax-fix.patch
# https://github.com/ReFirmLabs/binwalk/pull/666
Patch4:		0001-fix-the-importlib-usage-for-python-3.12.patch
BuildRequires:	pkgconfig(python3)
# For tests
BuildRequires:	python3-nose
BuildRequires:	python3-coverage
BuildArch:	noarch

%description
Binwalk is a fast, easy-to-use tool for analyzing and extracting
firmware images.


%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}


%prep
%autosetup -p1

sed -i 's|2.3.3|%{version}|' setup.py

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test


%changelog
* Sat Feb 24 2024 daviddavid <daviddavid> 2.3.4-2.mga10
+ Revision: 2043951
- add PR 666 to fix use of depcrecated 'imp'
- switch to pyproject
- rebuild for py3.12

* Sun Feb 26 2023 daviddavid <daviddavid> 2.3.4-1.mga9
+ Revision: 1945534
- new version: 2.3.4
- fix CVE-2021-4287 and CVE-2022-4510 (mga#31375)

* Tue Dec 13 2022 neoclust <neoclust> 2.3.3-1.mga9
+ Revision: 1921448
- New version 2.3.3

* Thu Mar 24 2022 umeabot <umeabot> 2.3.1-3.mga9
+ Revision: 1825144
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 2.3.1-2.mga9
+ Revision: 1787592
- rebuild for python-3.10

* Wed Apr 07 2021 daviddavid <daviddavid> 2.3.1-1.mga9
+ Revision: 1713942
- new version: 2.3.1

* Mon Mar 22 2021 daviddavid <daviddavid> 2.2.0-3.mga9
+ Revision: 1707787
- rebuild for python 3.9

* Mon Feb 17 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1537120
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1455862
- new version: 2.2.0

* Sat Sep 14 2019 daviddavid <daviddavid> 2.1.1-6.mga8
+ Revision: 1440741
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 2.1.1-5.mga7
+ Revision: 1354685
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.1.1-4.mga7
+ Revision: 1277654
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1.1-3.mga7
+ Revision: 1135187
- Rebuild for python 3.6

* Thu Apr 28 2016 tv <tv> 2.1.1-2.mga6
+ Revision: 1007138
- use new python macros

* Thu Apr 07 2016 neoclust <neoclust> 2.1.1-1.mga6
+ Revision: 999232
- imported package binwalk

